# -*- encoding: utf-8 -*-
# frozen_string_literal: true

lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "logger_json/version"

Gem::Specification.new do |spec|
  spec.name          = "logger_json"
  spec.version       = LoggerJson::VERSION.dup
  spec.authors       = ["Vinicius Freire"]
  spec.email         = ["vfoliveira@rederecord.com.br"]

  spec.summary       = "Flexible Json Logger solution for Ruby"
  spec.description   = "LoggerJson is a gem written in Ruby that adds new functionality, without changing the function of the Logger and Syslog::Logger class methods, which creates the logs in json format."
  spec.homepage      = "https://gitlab.ir7.com.br/r7/logger-json"
  spec.license       = "MIT"
  spec.required_ruby_version = '>= 1.9.0'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
